

import request from '@/utils/request'

export function getLiteratureList(data) {
  return request({
    url: '/sysLiterature/listByPage',
    method: 'post',
    data
  })
}
export function addLiterature(data) {
  return request({
    url: '/sysLiterature/add',
    method: 'post',
    data
  })
}

export function editLiterature(data) {
  return request({
    url: '/sysLiterature/update',
    method: 'put',
    data
  })
}
// 带权限的文献列表分页
export function getLtListPer(data) {
  return request({
    url: '/sysLiterature/listByPagePer',
    method: 'post',
    data
  })
}
export function deleteLt(data) {
  return request({
    url: '/sysLiterature/delete',
    method: 'delete',
    data
  })
}

